forpy 2

Public Member Functions | Public Attributes | List of all members
forpy::Desk Struct Reference
Desk Implementations

Main thread desk object. More...

`#include <desk.h>`

## Public Member Functions
| Desk (int i)
void | setup (std::atomic< size_t > *stored_in_leaf_p, std::atomic< id_t > *next_id_p, std::vector< std::pair< id_t, id_t >> *tree_p, std::vector< size_t > *ntfp=nullptr, mu::variant< std::vector< float >, std::vector< double >, std::vector< uint32_t >, std::vector< uint8_t >> *nttp=nullptr, std::vector< Mat< float >> *lrmp=nullptr, const uint &random_seed=0)
void | reset ()

## Public Attributes
TreeDesk | t
DeciderDesk | d
LeafDesk | l
RandomDesk | r
const int | thread_id

## Detailed Description

Main thread desk object.

Contains all thread-local variables for one thread.

Definition at line 201 of file desk.h.

## Constructor & Destructor Documentation

## ◆ Desk()

forpy::Desk::Desk | ( | int | i | ) |
| inline

Definition at line 202 of file desk.h.

## Member Function Documentation

## ◆ reset()

void forpy::Desk::reset | ( |  | ) |
| inline

Definition at line 222 of file desk.h.

## ◆ setup()

void forpy::Desk::setup | ( | std::atomic< size_t > * | stored_in_leaf_p,
|  | std::atomic< id_t > * | next_id_p,
|  | std::vector< std::pair< id_t, id_t >> * | tree_p,
|  | std::vector< size_t > * | ntfp = `nullptr`,
|  | mu::variant< std::vector< float >, std::vector< double >, std::vector< uint32_t >, std::vector< uint8_t >> * | nttp = `nullptr`,
|  | std::vector< Mat< float >> * | lrmp = `nullptr`,
|  | const uint & | random_seed = `0`
| ) |  |
| inline

Setup for thread-local processing.

Definition at line 209 of file desk.h.

## Member Data Documentation

## ◆ d

DeciderDesk forpy::Desk::d

Definition at line 204 of file desk.h.

## ◆ l

LeafDesk forpy::Desk::l

Definition at line 205 of file desk.h.

## ◆ r

RandomDesk forpy::Desk::r

Definition at line 206 of file desk.h.

## ◆ t

TreeDesk forpy::Desk::t

Definition at line 202 of file desk.h.

## ◆ thread_id

const int forpy::Desk::thread_id

Definition at line 208 of file desk.h.

The documentation for this struct was generated from the following file:

- /Users/classner/git/forpy/include/forpy/util/desk.h